/**
 * Copyright (C) 2024 bAvenir
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 */

.slide-in-top {
  animation: slide-in-top 100ms forwards;
  -webkit-animation: slide-in-top 100ms forwards;
}

.slide-out-top {
  animation: slide-out-top 200ms forwards;
  -webkit-animation: slide-out-top 200ms forwards;
}

@keyframes slide-in-top {
  100% {
    transform: translateY(-150%);
  }
}

@-webkit-keyframes slide-in-top {
  100% {
    -webkit-transform: translateY(-150%);
  }
}

@keyframes slide-out-top {
  0% {
    transform: translateY(-150%);
  }
  100% {
    transform: translateY(0%);
  }
}

@-webkit-keyframes slide-out-top {
  0% {
    -webkit-transform: translateY(-150%);
  }
  100% {
    -webkit-transform: translateY(0%);
  }
}

.content {
  transform: translateY(-150%);
  -webkit-transform: translateY(-150%);
}

.shadow-side {
  -webkit-box-shadow: 11px 1px 22px -10px rgba(0, 0, 0, 0.55);
  -moz-box-shadow: 11px 1px 22px -10px rgba(0, 0, 0, 0.55);
  box-shadow: 11px 1px 22px -10px rgba(0, 0, 0, 0.55);
}
